[[vertex]]

uniform mat4 mvp;

in vec4 pos;
in vec2 uvs;
out vec2 uv;

void main()
{
    uv = uvs;
    gl_Position = mvp * vec4(pos.xyz, 1.0);
}

[[fragment]]

uniform sampler2D tex;
uniform mediump vec4 col;

in mediump vec2 uv;
out mediump vec4 frag;

void main()
{
    frag = vec4(col.rgb, texture(tex, uv).a > 0.01 ? 1.0 : 0.0);
}
